@font-face {
    font-family: 'SFButtacup';
    src: url('SFButtacup.ttf');
}

html {
    background: url("../../../img/games/bg.png") no-repeat center / 100% 100%;
    overflow: hidden;
}

.game {
    position: relative;
    width: 60vw;
    height: 65vh;
    border: 4px solid #ffb208;
    border-radius: 15px;
}

canvas {
    width: 100%;
    height: 100%;
}

#finish {
    position: absolute;
    padding: 20%;
}

#audio {
    transition: .5s ease;
    height: 124px;
    width: 124px;
    position: relative;
    bottom: -5%;
    right: 5%;
    z-index: 10;
    display: none;
}

#audio:hover {
    transition: .5s ease;
    filter: brightness(110%);
    cursor: pointer;
}

#audio:active {
    transition: .1s ease;
    filter: brightness(70%);
}

#asset {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    right: 0%;
    margin: 0;
}

.musicBtn {
    height: 16vw;
    width: 16vw;
    position: fixed;
    bottom: 0%;
    right: 0%;
    z-index: 9;
}

.rotate {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100vw;
    height: 100vh;
    background: rgb(25, 25, 25);
    z-index: 1001;
    display: none;
    justify-content: center;
    align-items: center;
    color: white;
}

.rotate img {
    max-width: 50%;
}

@media screen and (max-width: 1024px) and (orientation: landscape) {
    .game {
        width: 90vw;
        height: 90vh;
    }
}

@media screen and (max-width: 1024px) and (orientation: portrait) {
    .rotate {
        display: flex;
    }
}
